package com.gree.mall.manager.bean.admin;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.StatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel
@Data
@ZfireField(tbName = "a")
public class AdminCompanyPayConfigVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户id")
    private String companyWechatId;

    @ApiModelProperty(value = "电子商户名称")
    private String companyName;

    @ApiModelProperty(value = "appid")
    private String appId;

    @ApiModelProperty(value = "子商户应用appid")
    private String subAppId;

    @ApiModelProperty(value = "mchid")
    private String mchId;

    @ApiModelProperty(value = "子商户mchid")
    private String subMchId;

    @ApiModelProperty(value = "key")
    private String mchKey;

    @ApiModelProperty(value = "状态")
    private StatusEnum status;

    @ApiModelProperty(value = "支付说明")
    private String remark;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改人")
    private String updateBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;


}
